﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

class GridViewModel
{
    private List<Summary> summaries;

    public IQueryable<Summary> Summaries
    {
        get 
        {
            if (summaries == null)
                summaries = CreateSummaries();

            return summaries.AsQueryable<Summary>();
        }
    }

    private List<Summary> CreateSummaries()
    {
        return new List<Summary>
            {
                new Summary 
                {
                    SummaryID = "020", 
                    SummaryName = "2014/08/01", 
                    StoreCount = 5,
                    InProcessCount = 0,
                    Deadline1 = 20,
                    Deadline2 = 0,
                    Deadline3 = 0,
                    Deadline4 = 0,
                    Deadline5 = 0,
                    Deadline6 = 0,
                    Deadline7 = 0,
                    Deadline8 = 0,
                    Deadline9 = 0,
                    Deadline10 = 0,
                    Description = "test"
                }

            };
    }
}
